Bug 1123931 - When java-1.8.0-openjdk.i686 binary is installed on an x86_64 system yum attempts to upgrade to x86_64-
Summary: When java-1.8.0-openjdk.i686 binary is installed on an x86_64 system yum atte...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Deepak Bhole
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 16:31 UTC by Trae Santiago
Modified: 2014-07-29 14:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-28 16:42:16 UTC


Attachments (Terms of Use)

Description Trae Santiago 2014-07-28 16:31:20 UTC
Description of problem:
If i686 binary is installed on an x86_64 system yum attempts to upgrade to x86_64

Version-Release number of selected component (if applicable):
1.8.0.0-0.19.b106.fc20.i686

How reproducible:
Always(?) -- Needs confirmation

Steps to Reproduce:
1. Install java-1.8.0-openjdk.i686
2. Attempt to upgrade

Actual results:
java-1.8.0-openjdk.i686 is upgraded to java-1.8.0-openjdk.x86_64

Expected results:
java-1.8.0-openjdk.i686 is upgraded to the most recent version for the i686 architecture.

Additional info:
Complete yum output: http://paste.fedoraproject.org/121466/40656493/

Comment 1 Deepak Bhole 2014-07-28 16:42:16 UTC
Hi, I am not sure how the i686 RPM ended up on the Fedora x86_64 image initially, but that was an unfortunate error.

We do not support multi-lib for OpenJDK in Fedora. Please uninstall the i686 packages to resolve this issue.

Omair, do you know how this happened in the first place?

Comment 2 Omair Majid 2014-07-29 14:30:40 UTC
(In reply to Deepak Bhole from comment #1)
> Omair, do you know how this happened in the first place?

java-1.8.0-openjdk-1.8.0.0-0.19.b106.fc20 was built on 2013-09-06. I believe multilib was restricted after that, some time around 2013-11 [1].


[1] https://fedorahosted.org/rel-eng/ticket/5762


Note You need to log in before you can comment on or make changes to this bug.